org.apache.lucene.codecs.uniformsplit

## Class FieldMetadata.Serializer

- java.lang.Object
- - org.apache.lucene.codecs.uniformsplit.FieldMetadata.Serializer

Enclosing class:
  FieldMetadata

    public static class FieldMetadata.Serializer
    extends Object

Reads/writes field metadata.

### Field Summary

Fields
`static FieldMetadata.Serializer` `INSTANCE` Stateless singleton.

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FieldMetadata` `read(DataInput input, FieldInfos fieldInfos, int maxNumDocs)`
`void` `write(DataOutput output, FieldMetadata fieldMetadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final FieldMetadata.Serializer INSTANCE

Stateless singleton.

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### write

    public void write(DataOutput output,
                      FieldMetadata fieldMetadata)
               throws IOException

Throws:
  `IOException`

#### read

    public FieldMetadata read(DataInput input,
                              FieldInfos fieldInfos,
                              int maxNumDocs)
                       throws IOException

Throws:
  `IOException`